Gtk2::Misc(3p)

NAME
Gtk2::Misc - wrapper for GtkMisc

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Misc

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  (xalign, yalign) = $misc->get_alignment

  $misc->set_alignment ($xalign, $yalign)

•   $xalign (double)

•   $yalign (double)

  (xpad, ypad) = $misc->get_padding

  $misc->set_padding ($xpad, $ypad)

•   $xpad (integer)

•   $ypad (integer)

PROPERTIES

'xalign' (float : default 0.5 : readable / writable / private)
    The horizontal alignment, from 0 (left) to 1 (right). Reversed for RTL layouts.

'xpad' (integer : default 0 : readable / writable / private)
    The amount of space to add on the left and right of the widget, in pixels

'yalign' (float : default 0.5 : readable / writable / private)
    The vertical alignment, from 0 (top) to 1 (bottom)

'ypad' (integer : default 0 : readable / writable / private)
    The amount of space to add on the top and bottom of the widget, in pixels

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.